<?php

namespace App\Modules\Pc\Controllers;

use App\Base\BaseController;
use App\Modules\Pc\Services\EmailService;
use Faker\Provider\Image;

class AuthController extends BaseController
{
    public function emailCaptcha()
    {
        $params = $this->valid([
            "email" => "required|email",
            "source" => "required",
        ]);

        return $this->ok(app(EmailService::class)->emailCaptcha($params['email'], $params['source']));
    }

    public function profile()
    {
        return $this->ok([
            "id" => 1,
            "token" => "token",
            "name" => "用户名称",
            "avatar" => Image::imageUrl(),
            "company" => [
                "id" => 1,
                "name" => "公司名称",
            ],
        ]);
    }

    public function register()
    {
        return $this->ok([
            "token" => "token",
            "name" => "",
            "phone" => "",
        ]);
    }

    public function login()
    {
        return $this->ok([
            "token" => "token",
            "name" => "",
            "phone" => "",
        ]);
    }

    public function resetPassword()
    {
        return $this->ok([
            "token" => "token",
            "name" => "",
            "phone" => "",
        ]);
    }
}
